$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.21-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.21-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '6AC8297EB0BDA3B7C35C28EAD7B8CA6A6BF6ACA1954304438708AE32CC971459'
  checksumType = 'sha256'
  checksum64 = '6AC8297EB0BDA3B7C35C28EAD7B8CA6A6BF6ACA1954304438708AE32CC971459'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.21-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
